<?php

	function import_listini(){
		global $dbo;
		$dbo->query("DELETE FROM mg_listini");	
		$con = getdb();
		$Sql = "SELECT * FROM mg_listini";
		$result = mysqli_query($con, $Sql);  
		// ciclo su an_anagrafiche
		while($row = mysqli_fetch_assoc($result)) {
			$query_1="INSERT INTO `mg_listini` (`id`, `nome`, `prc_guadagno`, `note`) VALUES (
			'".$row['id']."','".$row['nome']."','".$row['prc_guadagno']."','".$row['note']."')";
			$rs = $dbo->query( $query_1 );		
		}
		$con = getdb();		
	}
	
	
	
	
	function import_articoli(){
		global $dbo;
		$dbo->query("DELETE FROM mg_articoli");	
		$con = getdb();
		$Sql = "SELECT * FROM mg_articoli";
		$result = mysqli_query($con, $Sql);  
		// ciclo su an_anagrafiche
		while($row = mysqli_fetch_assoc($result)) {
			$query_1="INSERT INTO `mg_articoli` (`id`, `codice`, `descrizione`, `um`, `immagine01`, `note`, `qta`, `threshold_qta`, `prezzo_acquisto`, `prezzo_vendita`, `idiva_vendita`, `gg_garanzia`, `peso_lordo`, 
			`volume`, `componente_filename`, `contenuto`, `attivo`,  `idfornitore`, `pro_barcode`, `pro_smax`, `pro_lotto`, `cod_fornitore`, `idum`) VALUES (
			'".$row['id']."','".$row['codice']."','".$row['descrizione']."','".$row['um']."','".$row['immagine01']."','".$row['note']."','".$row['qta']."','".$row['threshold_qta']."',
			'".$row['prezzo_acquisto']."','".$row['prezzo_vendita']."','".$row['idiva_vendita']."','".$row['gg_garanzia']."','".$row['peso_lordo']."','".$row['volume']."','".$row['componente_filename']."',
			'".$row['contenuto']."','".$row['attivo']."','".$row['idfornitore']."','".$row['pro_barcode']."','".$row['pro_smax']."',
			'".$row['pro_lotto']."','".$row['cod_fornitore']."','".$row['idum']."')";
			$rs = $dbo->query( $query_1 );		
		}
		$con = getdb();		
	}
	
	
	function import_anagrafica(){
		global $dbo;
		$dbo->query("DELETE FROM an_anagrafiche");
		$dbo->query("DELETE FROM an_anagrafiche_agenti");			
		$dbo->query("DELETE FROM an_referenti");	
		$dbo->query("DELETE FROM an_sedi");	
		$dbo->query("DELETE FROM an_tipianagrafiche_anagrafiche");	
		
		$con = getdb();
		$Sql = "SELECT * FROM an_anagrafiche";
		$result = mysqli_query($con, $Sql);  
		// ciclo su an_anagrafiche
		while($row = mysqli_fetch_assoc($result)) {
			$query_1="INSERT INTO `an_anagrafiche` (`idanagrafica`, `codice`, `ragione_sociale`, `tipo`, `piva`, `codice_fiscale`, `capitale_sociale`, `data_nascita`, `luogo_nascita`, `sesso`, `indirizzo`, `indirizzo2`, `citta`, `cap`, `provincia`, 
			`km`, `id_nazione`, `telefono`, `fax`, `cellulare`, `email`, `sitoweb`, `note`, `codiceri`, `codicerea`, `appoggiobancario`, `filiale`, `codiceiban`, `bic`, `diciturafissafattura`, `idpagamento`, `idlistino`, `idiva`, 
			`idsede_fatturazione`, `idconto_cliente`, `idconto_fornitore`, `settore`, `marche`, `dipendenti`, `macchine`, `idagente`, `idrelazione`, `agentemaster`, `idzona`, `foro_competenza`, `nome_cognome`, `iscrizione_tribunale`, 
			`cciaa`, `cciaa_citta`, `n_alboartigiani`, `colore`, `deleted`, `idtipointervento_default`, `componente_filename`, `contenuto`) VALUES (
			'".$row['idanagrafica']."',	'".$row['codice']."','".$row['ragione_sociale']."','".$row['tipo']."',	'".$row['piva']."',	'".$row['codice_fiscale']."','".$row['capitale_sociale']."','".$row['data_nascita']."','".$row['luogo_nascita']."','".$row['sesso']."',
			'".$row['indirizzo']."','".$row['indirizzo2']."','".$row['citta']."','".$row['cap']."','".$row['provincia']."',			
			'".$row['km']."','".$row['id_nazione']."','".$row['telefono']."','".$row['fax']."',	'".$row['cellulare']."','".$row['emai']."',	'".$row['sitoweb']."','".$row['note']."','".$row['codiceri']."','".$row['codicerea']."','".$row['appoggiobancario']."',
			'".$row['filiale']."','".$row['codiceiban']."','".$row['bic']."','".$row['diciturafissafattura']."','".$row['idpagamento']."','".$row['idlistino']."','".$row['idiva']."',
			'".$row['idsede_fatturazione']."','".$row['idconto_cliente']."','".$row['idconto_fornitore']."','".$row['settore']."',	'".$row['marche']."','".$row['dipendenti']."','".$row['macchine']."',	'".$row['idagente']."','".$row['idrelazione']."',
			'".$row['agentemaster']."','".$row['idzona']."','".$row['foro_competenza']."','".$row['nome_cognome']."','".$row['iscrizione_tribunale']."',			
			'".$row['cciaa']."','".$row['cciaa_citta']."','".$row['n_alboartigiani']."','".$row['colore']."','".$row['deleted']."',
			'".$row['idtipointervento_default']."','".$row['componente_filename']."','".$row['contenuto']."')";
			$rs = $dbo->query( $query_1 );
		
		}
	
	
		
		$Sql = "SELECT * FROM an_anagrafiche_agenti";
		$result = mysqli_query($con, $Sql);  
		// ciclo su an_anagrafiche
		while($row = mysqli_fetch_assoc($result)) {
			$query_1="INSERT INTO `an_anagrafiche_agenti` (`idanagrafica`, `idagente`) VALUES (
			'".$row['idanagrafica']."','".$row['idagente']."')";
			$rs = $dbo->query( $query_1 );		
		}
		
		$Sql = "SELECT * FROM an_referenti";
		$result = mysqli_query($con, $Sql);  
		// ciclo su an_anagrafiche
		while($row = mysqli_fetch_assoc($result)) {
			$query_1="INSERT INTO `an_referenti` (`id`, `nome`, `mansione`, `telefono`, `email`, `idanagrafica`, `idsede`) VALUES (
			'".$row['id']."','".$row['nome']."','".$row['mansione']."','".$row['telefono']."','".$row['emil']."','".$row['idanagrafica']."','".$row['idsede']."')";
			$rs = $dbo->query( $query_1 );		
		}
		
		
		$Sql = "SELECT * FROM an_sedi";
		$result = mysqli_query($con, $Sql);  
		// ciclo su an_anagrafiche
		while($row = mysqli_fetch_assoc($result)) {
			$query_1="INSERT INTO `an_sedi` (`id`, `nomesede`, `piva`, `codice_fiscale`, `indirizzo`, `indirizzo2`, `citta`, `cap`, `provincia`, `km`, `nazione`, `telefono`, `fax`, `cellulare`, `email`, `idanagrafica`, `idzona`) VALUES (
			'".$row['id']."','".$row['nomesede']."','".$row['piva']."','".$row['codice_fiscale']."','".$row['indirizzo']."','".$row['indirizzo2']."',
			'".$row['citta']."','".$row['cap']."','".$row['provincia']."','".$row['km']."','".$row['nazione']."','".$row['telefono']."','".$row['fax']."','".$row['celluare']."','".$row['email']."','".$row['idanagrafica']."','".$row['idzona']."')";
			$rs = $dbo->query( $query_1 );		
		}
		
		
		$Sql = "SELECT * FROM an_tipianagrafiche_anagrafiche";
		$result = mysqli_query($con, $Sql);  
		// ciclo su an_anagrafiche
		while($row = mysqli_fetch_assoc($result)) {
			$query_1="INSERT INTO `an_tipianagrafiche_anagrafiche` (`idtipoanagrafica`, `idanagrafica`) VALUES (
			'".$row['idtipoanagrafica']."','".$row['idanagrafica']."')";
			$rs = $dbo->query( $query_1 );		
		}
		
		
		
	}
	
	function import_documenti(){
		global $dbo;
		$dbo->query("DELETE FROM co_tipidocumento_gruppo");	
		$dbo->query("DELETE FROM co_tipidocumento");	
		$dbo->query("DELETE FROM co_statidocumento");			
		$con = getdb();
		
		
		$Sql = "SELECT * FROM co_statidocumento";
		$result = mysqli_query($con, $Sql);  
		// ciclo su co_pianodeiconti2
		while($row = mysqli_fetch_assoc($result)) {
			$descrizione=str_replace("'","",$row['descrizione']);						
			$query_1="INSERT INTO `co_statidocumento` (`id`, `descrizione`, `icona`) VALUES (
			'".$row['id']."','".$descrizione."','".$row['icona']."')";
			$rs = $dbo->query( $query_1 );		
		}
		
		
		
		$Sql = "SELECT * FROM co_tipidocumento_gruppo";		
		$result = mysqli_query($con, $Sql);  
		// ciclo su co_tipidocumento_gruppo
		while($row = mysqli_fetch_assoc($result)) {
			$query_1="INSERT INTO `co_tipidocumento_gruppo` (`id`, `codice`, `descrizione`) VALUES (
			'".$row['id']."','".$row['codice']."','".$row['descrizione']."')";
			$rs = $dbo->query( $query_1 );		
		}
		
		$Sql = "SELECT * FROM co_tipidocumento";
		$result = mysqli_query($con, $Sql);  
		// ciclo su co_tipidocumento
		while($row = mysqli_fetch_assoc($result)) {
			$descrizione=str_replace("'","",$row['descrizione']);
			$query_1="INSERT INTO `co_tipidocumento` (`id`, `descrizione`, `dir`, `mod_num`, `mod_mag`, `mod_sta`, `mod_mov`, `num_mag`, `txt_suffisso`, `dir_pdf`, `doc_sucessivo`, `sta_cambio`,
			`sta_sucessivo`, `idconto`, `idpagamento`, `sta_apertura`, `sta_scadenziario`, `sta_concluso`, `ges_primanota`, `var_formato_num`, `stampa_prezzi`, 
			`ges_ritenuta`, `ges_rivalsa`, `ges_marca`, `dicitura_fissa`, `add_scadenza`, `sta_conto`, `sta_stampa`, `var_creaordine`, `id_gruppo_tipologia`,
			`path_archivio`, `mail_from`, `mail_oggetto`, `mail_testo`, `marca_bollo`, `logo`, `differito_doc`, `differito_suc`, `differito_sta`, `mod_commessa`,
			`idmenu`, `mod_wizard`, `mod_preventivo`, `pan_spedizioni`, `mod_conti`, `vedi_transazione`, `vedi_transazionepdf`, `mod_prodotollo`, `mod_riepilogo_iva`) VALUES (
			'".$row['id']."','".$descrizione."','".$row['dir']."','".$row['mod_num']."','".$row['mod_mag']."','".$row['mod_sta']."','".$row['mod_mov']."','".$row['num_mag']."',
			'".$row['txt_suffisso']."','".$row['dir_pdf']."','".$row['doc_sucessivo']."','".$row['sta_cambio']."','".$row['sta_sucessivo']."',
			'".$row['idconto']."','".$row['idpagamento']."','".$row['sta_apertura']."','".$row['sta_scadenziario']."','".$row['sta_concluso']."','".$row['ges_primanota']."','".$row['var_formato_num']."',
			'".$row['stampa_prezzi']."',
			'".$row['ges_ritenuta']."','".$row['ges_rivalsa']."','".$row['ges_marca']."','".$row['dicitura_fissa']."','".$row['add_scadenza']."','".$row['sta_conto']."','".$row['sta_stampa']."','".$row['var_creaordine']."',
			'".$row['id_gruppo_tipologia']."','".$row['path_archivio']."','".$row['mail_from']."','".$row['mail_oggetto']."','".$row['mail_testo']."','".$row['marca_bollo']."','".$row['logo']."','".$row['differito_doc']."',
			'".$row['differito_suc']."','".$row['differito_sta']."','".$row['mod_commessa']."','".$row['idmenu']."','".$row['mod_wizard']."','".$row['mod_preventivo']."','".$row['pan_spedizioni']."','".$row['mod_conti']."',
			'".$row['vedi_transazione']."','".$row['vedi_transazionepdf']."','".$row['mod_prodotollo']."','".$row['add_registroiva']."')";
		
			$rs = $dbo->query( $query_1 );		
		}
			$rs = $dbo->query( "update co_tipidocumento set mod_transazioni='1' , mod_transazione='1'" );
		
		
		
		$query_1="INSERT INTO `co_tipidocumento` (`id`, `descrizione`, `dir`, `mod_num`, `mod_mag`, `mod_sta`, `mod_mov`, `num_mag`, `txt_suffisso`, `dir_pdf`, `doc_sucessivo`, `sta_cambio`, `sta_sucessivo`, `idconto`, `idpagamento`, `sta_apertura`, `sta_scadenziario`, `sta_concluso`, `ges_primanota`, `var_formato_num`, `stampa_prezzi`, `ges_ritenuta`, `ges_rivalsa`, `ges_marca`, `dicitura_fissa`, `add_scadenza`, `sta_conto`, `sta_stampa`, `var_creaordine`, `id_gruppo_tipologia`, `path_archivio`, `mail_from`, `mail_oggetto`, `mail_testo`, `marca_bollo`, `logo`, `differito_doc`, `differito_suc`, `differito_sta`, `mod_commessa`, `idmenu`, `mod_wizard`, `mod_preventivo`, `pan_spedizioni`, `mod_conti`, `suffisso_anno`, `matricola_obb`, `evasione_parziale`, `mod_transazioni`, `mod_scorte`, `vedi_transazione`, `vedi_transazionepdf`, `mod_transazione`, `stato_transazione_concluso`, `pan_aggiuntive`, `pan_scadenze`, `mod_impegnato`, `mod_ord_for`, `mod_default`, `mod_riepilogo_iva`, `mod_ordineservizio`, `differito_sta_suc`, `doc_sucessivo_stato_padre`, `elettronica`, `el_tipodocumento`, `el_divisa`, `mod_myimpianti`, `mod_prodotollo`, `id_magazzino_e`, `id_magazzino_u`, `id_tipo_e`, `id_tipo_u`, `mail_scadenza`, `id_tipoanagrafica`, `testo_km`) VALUES
		(50, 'Rapportino Interventi', 'entrata', 1, 1, 0, 1, 0, '', 'fatture', 0, 0, 0, 0, 0, 2, 0, 0, 0, 'RDL#####', 0, 0, 0, 0.0000, '', 0, 0, 1, 0, 9, 'documenti', 'GEST366', 'GEST366 : Invio documento Numero %NUM  %NUMS%SUFFISSO del %DATA', 'Gentilissimo %RAGIONESOCIALE \r\n	in allegato le inviamo copia documento Numero %NUM %NUMS%SUFFISSO del %DATA	Restiamo a sua disposizione\r\n	Distinti Saluti\r\n	www.gest366.it', '0.0000', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, '', '', 0, 0, 0, 0, 0, 0, '', 0, 'Costo Trasferta KM')";
		$rs = $dbo->query( $query_1 );	
		
		$dbo->query("DELETE FROM co_documenti");	
		$dbo->query("DELETE FROM co_documenti_transazioni");	
		$Sql = "SELECT * FROM co_documenti";
		$result = mysqli_query($con, $Sql);  
		// ciclo su co_tipidocumento
		while($row = mysqli_fetch_assoc($result)) {
			$descrizione=str_replace("'","",$row['descrizione']);
			$query_1="INSERT INTO `co_documenti` (`id`, `numero`, `numero_esterno`,`numero_documento`, `data`, `idanagrafica`, `idagente`, `idcausalet`, `idspedizione`, `idporto`, `idaspettobeni`,
			`idvettore`, `n_colli`, `idsede`, `idtipodocumento`, `idstatodocumento`, `idpagamento`, `idconto`, `idrivalsainps`, `idritenutaacconto`, `rivalsainps`, 
			`iva_rivalsainps`, `ritenutaacconto`, `bollo`, `note`, `note_aggiuntive`, `buono_ordine`, `data_bozza`, `data_accettazione`, `data_rifiuto`, `data_conclusione`,
			`data_pagamento`, `budget`, `descrizione_prev`, `validita`, `tempi_consegna`, `idreferente`, `id_ordine`, `id_ordine_padre`, `id_doc_figlio`, `id_doc_padre`, 
			`id_statoprecedente`, `id_gruppo_tipologia`, `id_contratto`, `id_intervento`,   `id_differito`) VALUES (
			'".$row['id']."','".$row['numero']."','".$row['numero']."','".$row['numero_esterno']."','".$row['data']."','".$row['idanagrafica']."','".$row['idagente']."','".$row['idcausalet']."','".$row['idspedizione']."','".$row['idporto']."','".$row['idaspettobeni']."',
			'".$row['idvettore']."','".$row['n_colli']."','".$row['idsede']."','".$row['idtipodocumento']."','".$row['idstatodocumento']."',
				'".$row['idpagamento']."','".$row['idconto']."','".$row['idrivalsainps']."','".$row['idritenutaacconto']."','".$row['rivalsainps']."',
			'".$row['iva_rivalsainps']."','".$row['ritenutaacconto']."','".$row['bollo']."',
				'".$row['note']."','".$row['note_aggiuntive']."','".$row['buono_ordine']."','".$row['data_bozza']."','".$row['data_accettazione']."','".$row['data_rifiuto']."','".$row['data_conclusione']."',
			'".$row['data_pagamento']."','".$row['budget']."','".$row['descrizione_prev']."','".$row['validita']."','".$row['tempi_consegna']."','".$row['idreferente']."','".$row['id_ordine']."',
				'".$row['id_ordine_padre']."','".$row['id_doc_figlio']."','".$row['id_doc_padre']."','".$row['id_statoprecedente']."',
			'".$row['id_gruppo_tipologia']."','".$row['id_contratto']."','".$row['id_intervento']."','".$row['id_differito']."')";
		
			$rs = $dbo->query( $query_1 );	

			IF ( $row['id_doc_figlio'] > 0 ) {			
				$query_1="INSERT INTO `co_documenti_transazioni` (`idpadre`, `idfiglio`, `data_transazione`) VALUES ('".$row['id']."','".$row['id_doc_figlio']."','".$row['data']."')";
				$rs = $dbo->query( $query_1 );	
			}
			
		}
		$dbo->query("DELETE FROM co_documenti_transazioni where idfiglio='127'" );
		
		
		
		
		
		$con = getdb();		
	}
	

	function import_righe_documenti(){
		global $dbo;
		$dbo->query("DELETE FROM co_righe_documenti");	
		$con = getdb();
		$Sql = "SELECT * FROM co_righe_documenti";
		$result = mysqli_query($con, $Sql);  
		// ciclo su an_anagrafiche
		while($row = mysqli_fetch_assoc($result)) {
			$descrizione=str_replace("'","",$row['descrizione']);
			$query_1="INSERT INTO `co_righe_documenti` (`id`, `iddocumento`, `idordine`, `idddt`, `idintervento`,  `idarticolo`, `idpreventivo`, `idcontratto`, 
			`idtecnico`, `idagente`, `idautomezzo`, `idconto`, `idiva`, `desc_iva`, `iva`, `iva_indetraibile`, `descrizione`, `subtotale`, 
			`tipo_sconto`, `sconto`, `sconto_primo`, `idritenutaacconto`, `ritenutaacconto`, `idrivalsainps`, `rivalsainps`, `um`, `qta`, 
			 `serial`,  `idgruppo`, `ordine`, `id_riferimento`) VALUES (
			'".$row['id']."','".$row['iddocumento']."','".$row['idordine']."','".$row['idddt']."','".$row['idintervento']."','".$row['idarticolo']."','".$row['idpreventivo']."','".$row['idcontratto']."',
			'".$row['idtecnico']."','".$row['idagente']."','".$row['idautomezzo']."','".$row['idconto']."','".$row['idiva']."','".$row['desc_iva']."','".$row['iva']."','".$row['iva_indetraibile']."',
				'".$descrizione."','".$row['subtotale']."',
			'".$row['tipo_sconto']."','".$row['sconto']."','".$row['sconto_prc']."','".$row['idritenutaacconto']."','".$row['ritenutaacconto']."','".$row['idrivalsainps']."','".$row['rivalsainps']."','".$row['um']."','".$row['qta']."',			
			'".$row['serial']."','".$row['idgruppo']."','".$row['ordine']."','".$row['id_riferimento']."')";
			$rs = $dbo->query( $query_1 );		
		}
		$con = getdb();		
	}
	
	function import_piano_conti(){
		global $dbo;
		$dbo->query("DELETE FROM co_pagamenti");	
		$con = getdb();
		$Sql = "SELECT * FROM co_pagamenti";
		$result = mysqli_query($con, $Sql);  
		// ciclo su co_pagamenti
		while($row = mysqli_fetch_assoc($result)) {
			$descrizione=str_replace("'","",$row['descrizione']);
			
			$query_1="INSERT INTO `co_pagamenti` (`id`, `descrizione`, `giorno`, `num_giorni`, `prc`) VALUES (
			'".$row['id']."','".$descrizione."','".$row['giorno']."','".$row['num_giorni']."','".$row['prc']."')";
			$rs = $dbo->query( $query_1 );		
		}
		
		$dbo->query("DELETE FROM co_pianodeiconti1");	
		$Sql = "SELECT * FROM co_pianodeiconti1";
		$result = mysqli_query($con, $Sql);  
		// ciclo su co_pianodeiconti1
		while($row = mysqli_fetch_assoc($result)) {
			$descrizione=str_replace("'","",$row['descrizione']);
			
			$query_1="INSERT INTO `co_pianodeiconti1` (`id`, `numero`, `descrizione`) VALUES (
			'".$row['id']."','".$row['numero']."','".$descrizione."')";
			$rs = $dbo->query( $query_1 );		
		}
		
		$dbo->query("DELETE FROM co_pianodeiconti2");	
		$Sql = "SELECT * FROM co_pianodeiconti2";
		$result = mysqli_query($con, $Sql);  
		// ciclo su co_pianodeiconti2
		while($row = mysqli_fetch_assoc($result)) {
			$descrizione=str_replace("'","",$row['descrizione']);
			
			$query_1="INSERT INTO `co_pianodeiconti2` (`id`, `numero`, `descrizione` , idpianodeiconti1 , dir) VALUES (
			'".$row['id']."','".$row['numero']."','".$descrizione."','".$row['idpianodeiconti1']."','".$row['dir']."')";
			$rs = $dbo->query( $query_1 );		
		}
		
		$dbo->query("DELETE FROM co_pianodeiconti3");	
		$Sql = "SELECT * FROM co_pianodeiconti3";
		$result = mysqli_query($con, $Sql);  
		// ciclo su co_pianodeiconti2
		while($row = mysqli_fetch_assoc($result)) {
			$descrizione=str_replace("'","",$row['descrizione']);
			
			$query_1="INSERT INTO `co_pianodeiconti3` (`id`, `numero`, `descrizione` , idpianodeiconti2 , dir , can_delete , can_edit) VALUES (
			'".$row['id']."','".$row['numero']."','".$descrizione."','".$row['idpianodeiconti2']."','".$row['dir']."','".$row['can_delete']."','".$row['can_edit']."')";
			$rs = $dbo->query( $query_1 );		
		}
		
		$dbo->query("DELETE FROM co_movimenti");	
		$Sql = "SELECT * FROM co_movimenti";
		$result = mysqli_query($con, $Sql);  
		// ciclo su co_pianodeiconti2
		while($row = mysqli_fetch_assoc($result)) {
			$descrizione=str_replace("'","",$row['descrizione']);			
			$query_1="INSERT INTO `co_movimenti` (`id`, `idmastrino`, `data` , data_documento , iddocumento , idanagrafica , descrizione,idconto,totale,primanota) VALUES (
			'".$row['id']."','".$row['idmastrino']."','".$row['data']."','".$row['data_documento']."','".$row['iddocumento']."','".$row['idanagrafica']."','".$descrizione."','".$row['idconto']."','".$row['totale']."','".$row['primanota']."')";
			$rs = $dbo->query( $query_1 );		
		}
		
		$con = getdb();		
	}
	
	
	function import_scadenze(){
		global $dbo;
		$dbo->query("DELETE FROM co_scadenziario");	
		$con = getdb();
		$Sql = "SELECT * FROM co_scadenziario";
		$result = mysqli_query($con, $Sql);  
		// ciclo su co_scadenziario
		while($row = mysqli_fetch_assoc($result)) {
			$query_1="INSERT INTO `co_scadenziario` (`id`, `iddocumento`, `tipo`, `data_emissione`, `scadenza`, `da_pagare`, `pagato`, `data_pagamento`)  VALUES (
			'".$row['id']."','".$row['iddocumento']."','".$row['tipo']."','".$row['data_emissione']."','".$row['scadenza']."','".$row['da_pagare']."','".$row['pagato']."'
			,'".$row['data_pagamento']."')";
			$rs = $dbo->query( $query_1 );		
		}
		$con = getdb();		
	}
	
	function import_impianti(){
		global $dbo;
		$dbo->query("DELETE FROM my_impianti");	
		$dbo->query("DELETE FROM my_impianti_contratti");	
		$con = getdb();
		$Sql = "SELECT * FROM my_impianti";
		$result = mysqli_query($con, $Sql);  
		// ciclo su an_anagrafiche
		while($row = mysqli_fetch_assoc($result)) {
			$nome=str_replace("'","",$row['nome']);
			$descrizione=str_replace("'","",$row['descrizione']);
		
		$query_1="INSERT INTO `my_impianti` (`matricola`, `nome`, `descrizione`, `idanagrafica`, `idsede`, `data`, `idtecnico`, `ubicazione`,
			`scala`, `piano`, `occupante`, `proprietario`, `palazzo`, `interno`, `immagine`) VALUE(
			'".$row['matricola']."','".$nome."','".$descrizione."','".$row['idanagrafica']."','".$row['idsede']."','".$row['data']."','".$row['idtecnico']."','".$row['ubicazione']."',
			'".$row['scala']."','".$row['piano']."','".$row['occupante']."','".$row['proprietario']."','".$row['palazzo']."','".$row['interno']."',
			'".$row['immagine']."')";
			$rs = $dbo->query( $query_1 );		
		}
		
		$Sql = "SELECT * FROM my_impianti_contratti";
		$result = mysqli_query($con, $Sql);  
		// ciclo su my_impianti_contratti
		while($row = mysqli_fetch_assoc($result)) {		
			$descrizione=str_replace("'","",$row['descrizione']);
			// ricerco id myimpianto
				$query="SELECT id FROM my_impianti WHERE matricola='".$row['matricola']."'";
				$rs = $dbo->fetchArray($query);
				$id_newimpianto = $rs[0]['id'];
			$query_1="INSERT INTO `my_impianti_contratti` (`idcontratto`, `matricola`,`idimpianto`) VALUE(
			'".$row['idcontratto']."','".$row['matricola']."','".$id_newimpianto."')";
			$rs = $dbo->query( $query_1 );		
		}
		$con = getdb();		
	}
	
	// CONTRATTI
	function import_contratti(){
		global $dbo;
		$dbo->query("DELETE FROM co_contratti");	
		$con = getdb();
		$Sql = "SELECT * FROM co_contratti";
		$result = mysqli_query($con, $Sql);  
		while($row = mysqli_fetch_assoc($result)) {
		$query_1="INSERT INTO `co_contratti` (`id`, `numero`, `nome`, `idagente`, `data_bozza`, `data_accettazione`, `data_rifiuto`, `data_conclusione`, 
			`rinnovabile`, `giorni_preavviso_rinnovo`, `budget`, `descrizione`, `idstato`, 
			`idreferente`, `validita`, `esclusioni`, `idanagrafica`, `idpagamento`, `idtipointervento`, `costo_diritto_chiamata`, `ore_lavoro`, 
			`costo_orario`, `costo_km`, `idcontratto_prev`
			, `id_documento`) VALUES (
			'".$row['id']."','".$row['numero']."','".$row['nome']."','".$row['idagente']."','".$row['data_bozza']."','".$row['data_accettazione']."','".$row['data_rifiuto']."','".$row['data_conclusione']."',
			'".$row['rinnovabile']."','".$row['giorni_preavviso_rinnovo']."','".$row['budget']."','".$row['descrizione']."','".$row['idstato']."',
			'".$row['idreferente']."','".$row['validita']."','".$row['esclusioni']."','".$row['idanagrafica']."','".$row['idpagamento']."','".$row['idtipointervento']."','".$row['costo_diritto_chiamata']."','".$row['ore_lavoro']."',
			'".$row['costo_orario']."','".$row['costo_km']."','".$row['idcontratto_prev']."','".$row['id_documento']."')";
		
		$rs = $dbo->query( $query_1 );		
		}
		$con = getdb();		
	}
	
	function import_ordini(){
		global $dbo;
		$con = getdb();
		
		$dbo->query("DELETE FROM or_statiordine");	
		$Sql = "SELECT * FROM or_statiordine";
		$result = mysqli_query($con, $Sql);  
		// ciclo su co_pianodeiconti2
		while($row = mysqli_fetch_assoc($result)) {
			$descrizione=str_replace("'","",$row['descrizione']);						
			$query_1="INSERT INTO `or_statiordine` (`id`, `descrizione`, `annullato`, `icona`) VALUES (
			'".$row['id']."','".$descrizione."','".$row['annullato']."','".$row['icona']."')";
			$rs = $dbo->query( $query_1 );		
		}
		
		
		
		$dbo->query("DELETE FROM or_ordini");	
		$dbo->query("DELETE FROM or_righe_ordini");	
		$Sql = "SELECT * FROM or_ordini";
		$result = mysqli_query($con, $Sql);  
		// ciclo su or_ordini
		while($row = mysqli_fetch_assoc($result)) {		

			$query_1="INSERT INTO `or_ordini` (`id`, `numero`, `numero_esterno`, `data`, `idagente`, `idanagrafica`, `idsede`, `idtipoordine`, `idstatoordine`, `idpagamento`, `idconto`, `bollo`, `note`,  `data_prevista_consegna`) VALUES (			
			'".$row['id']."','".$row['numero']."','".$row['numero_esterno']."','".$row['data']."','".$row['idagente']."','".$row['idanagrafica']."','".$row['idsede']."','".$row['idtipoordine']."',
			'".$row['idstatoordine']."','".$row['idpagamento']."','".$row['idconto']."' ,'".$row['bollo']."','".$row['note']."','".$row['data_prevista_consegna']."')";		
			$rs = $dbo->query( $query_1 );	
		}
		
		$Sql = "SELECT * FROM or_righe_ordini";
		$result = mysqli_query($con, $Sql);  
		// ciclo su or_righe_ordini
		while($row = mysqli_fetch_assoc($result)) {
			$descrizione=str_replace("'","",$row['descrizione']);		
			if ( $row['tipo_sconto'] == 'EUR' ) $sconto_tipo = '1';
			if ( $row['tipo_sconto'] == 'PRC' ) $sconto_tipo ='2';	
			if ( $row['tipo_sconto'] == '' ) 	$sconto_tipo ='0';				
					
			$query_1="INSERT INTO `or_righe_ordini` (`id`, `data_evasione`, `idordine`, `idarticolo`, `idiva`, `idagente`, `iva`, `iva_indetraibile`, `descrizione`,  `subtotale`, 
			`tipo_sconto`, `sconto`, `sconto_primo`, `um`, `qta`, `qta_evasa`, `id_documento_figlio`) VALUES (						
			'".$row['id']."','".$row['data_evasione']."','".$row['idordine']."','".$row['idarticolo']."','".$row['idiva']."','".$row['idagente']."','".$row['iva']."','".$row['iva_indetraibile']."','".$descrizione."',
			'".$row['subtotale']."','".$sconto_tipo."','".$row['sconto']."' ,'".$row['sconto_prc']."','".$row['um']."','".$row['qta']."',
			'".$row['qta_evasa']."','".$row['id_documento_figlio']."')";
		
			$rs = $dbo->query( $query_1 );	

		
			
		}
		
		
		
	
	}	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	function get_all_records(){
		$con = getdb();
		$Sql = "SELECT count(*) as totali FROM an_anagrafiche";
		$result = mysqli_query($con, $Sql);  
		if (mysqli_num_rows($result) > 0) {
			echo "<div class='table-responsive'><table id='myTable' class='table table-striped table-bordered'>
				 <thead><tr><th>Archivio</th>
							  <th>N° Record</th>
							</tr></thead><tbody>";


			 while($row = mysqli_fetch_assoc($result)) {
				 echo "<tr><td>Anagrafiche</td>
						   <td>" . $row['totali']."</td>
						   <td></td></tr>";     
						         
			 }
		$Sql = "SELECT count(*) as totali FROM mg_articoli";
		$result = mysqli_query($con, $Sql);  
			while($row = mysqli_fetch_assoc($result)) {
					 echo "<tr><td>Articoli</td>
							   <td>" . $row['totali']."</td>
							   <td></td></tr>";     						 
			}
		$Sql = "SELECT count(*) as totali FROM mg_listini";
		$result = mysqli_query($con, $Sql);  
			while($row = mysqli_fetch_assoc($result)) {
					 echo "<tr><td>Listini</td>
							   <td>" . $row['totali']."</td>
							   <td></td></tr>";     						 
			}
		 
		 
		$Sql = "SELECT count(*) as totali FROM co_documenti";
		$result = mysqli_query($con, $Sql);  
			while($row = mysqli_fetch_assoc($result)) {
					 echo "<tr><td>Documenti Testate</td>
							   <td>" . $row['totali']."</td>
							   <td></td></tr>";     						 
			}
		$Sql = "SELECT count(*) as totali FROM co_righe_documenti";
		$result = mysqli_query($con, $Sql);  
			while($row = mysqli_fetch_assoc($result)) {
					 echo "<tr><td>Documenti Righe</td>
							   <td>" . $row['totali']."</td>
							   <td></td></tr>";     						 
			} 
		 
		 
		 $Sql = "SELECT count(*) as totali FROM co_movimenti";
		$result = mysqli_query($con, $Sql);  
			while($row = mysqli_fetch_assoc($result)) {
					 echo "<tr><td>Piano dei conti</td>
							   <td>" . $row['totali']."</td>
							   <td></td></tr>";     						 
			}
			
		$Sql = "SELECT count(*) as totali FROM my_impianti";
		$result = mysqli_query($con, $Sql);  
			while($row = mysqli_fetch_assoc($result)) {
					 echo "<tr><td>Impianti</td>
							   <td>" . $row['totali']."</td>
							   <td></td></tr>";     						 
			}
			
		$Sql = "SELECT count(*) as totali FROM co_contratti";
		$result = mysqli_query($con, $Sql);  
			while($row = mysqli_fetch_assoc($result)) {
					 echo "<tr><td>Contratti</td>
							   <td>" . $row['totali']."</td>
							   <td></td></tr>";     						 
			}
		
		
		$Sql = "SELECT count(*) as totali FROM co_scadenziario";
		$result = mysqli_query($con, $Sql);  
			while($row = mysqli_fetch_assoc($result)) {
					 echo "<tr><td>Scadenze</td>
							   <td>" . $row['totali']."</td>
							   <td></td></tr>";     						 
			}	
		 
		$Sql = "SELECT count(*) as totali FROM or_ordini";
		$result = mysqli_query($con, $Sql);  
			while($row = mysqli_fetch_assoc($result)) {
					 echo "<tr><td>Ordini</td>
							   <td>" . $row['totali']."</td>
							   <td></td></tr>";     						 
			}	 
		
		 echo "</tbody></table></div>";
		 
		} else {
			 echo "you have no records";
		}
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	

 ?>
 
 